-- These are only for player output

CROWDCONTROLREPORT_MSG_PREFIX			= "CCR: ";

CROWDCONTROLREPORT_MSG_NO_ONE_TO_BLAME	= "There was no one to blame.";

CROWDCONTROLREPORT_MSG_WRONG_CLASS		= "There is currently no support for your class. Disabled.";

CROWDCONTROLREPORT_MSG_FADE				= "%s has faded from %s.";

-- These you might want to localized as they are sent to others.


CROWDCONTROLREPORT_MSG_BLAME_SELF		= "I broke my %s!";
CROWDCONTROLREPORT_MSG_BLAME_SELF_PET	= "My pet broke my %s!";
CROWDCONTROLREPORT_MSG_BLAME_MEMBER		= "%s broke my %s!";
CROWDCONTROLREPORT_MSG_BLAME_MEMBER_PET	= "%s's pet broke my %s! Get that... thing... under control. Now.";
CROWDCONTROLREPORT_MSG_BLAME_NO_MEMBER	= "%s broke my %s, curse them!";

-- These need to be localized to work in other locales.


CROWDCONTROLREPORT_SPELL = {
	DRUID = "Hibernate";
	MAGE = "Polymorph";
	PRIEST = "Shackle Undead";
	ROGUE = "Sap";
	WARLOCK = "Seduce";
};

CROWDCONTROLREPORT_PATTERN_YOUR_DAMAGE 	= "You.+";
CROWDCONTROLREPORT_PATTERN_SOMEONE_HIT 	= "(.+) hit.+";
CROWDCONTROLREPORT_PATTERN_SOMEONE_CRIT	= "(.+) crit.+";
CROWDCONTROLREPORT_PATTERN_SOMEONE_DIED = format(ERR_PLAYER_DIED_S, "(.+)");

--PERIODICAURADAMAGEOTHEROTHER = "%s suffers %d %s damage from %s's %s."; -- Bob suffers 5 frost damage from Jeff's Ice Nova.
CROWDCONTROLREPORT_PATTERN_DAMAGE_FROM = "(.+) suffers %d+ .+ damage from (.+)'s .+."; 
--format(PERIODICAURADAMAGEOTHEROTHER, "(.+)", "%d+", ".+", "(.+)", ".+");

-- These may need special handling in different locales.

function CrowdControlReport_CreateBreakPattern(ccSpell)
	return format(AURADISPELOTHER, "(.+)", ccSpell);
end

function CrowdControlReport_CreateFadePattern(ccSpell)
	return format(AURAREMOVEDOTHER, ccSpell, "(.+)");
end

function CrowdControlReport_CreateCastPattern(ccSpell)
	return format(SIMPLECASTSELFOTHER, ccSpell, "(.+)");
end

function CrowdControlReport_CreatePetCastPattern(ccSpell)
	return format(SPELLCASTOTHERSTART, "(.+)", ccSpell);
end

